# James Musselman

A software engineer dedicated to delivering performant and high-quality solutions.

**Email**: <james@musselman.dev>
| **Cal.com (Web Meetings)**: [/musselmandev](https://cal.com/musselman)
| **LinkedIn**: [/in/musselmandev](https://linkedin.com/in/musselmandev)

## Skills

**Certified**:
[Microsoft Office](https://www.credly.com/badges/61a53f4f-437d-4b7a-bc72-395ba3234ef0)

**Programming:** Rust, Go, SQL, Git, HTML/CSS, Python

**Server Administration**: Linux/SELinux, Grafana, Loki, LDAP, Firewalls, SSH,
Containerization

## Experience

**Contract Developer, Musselman Development** (July 2024 - Present, Seguin, Texas)

- **Containerization & Deployment**: Streamlined application deployment by
  orchestrating containerized environments with Docker and Podman, enhancing
  operational efficiency.
- **Training & Security Awareness**: Conducted training on OS Security, Social
  Engineering, and Email Security, boosting team awareness and decreasing security
  incidents.
- **Automation & Efficiency**: Automated tasks using Python, Bash, and
  PowerShell, cutting deployment times by over 75% and increasing productivity.
- **CI/CD Implementation**: Established CI/CD pipelines with GitHub Actions and
  Jenkins, ensuring consistent and reliable software delivery through automated
  testing and deployment.
- **Web Design and Development**: Created a beautiful and functional website
  that brought in more attendees and established the business's presence online.

**Student Office Aide, Texas Lutheran University** (February 2023 - May 2024,
Seguin, Texas)

- **Visitor Assistance**: Greeted and assisted visitors, students, and staff,
  enhancing office efficiency for professors and higher administration.
- **Upkeep/Repair Management**: Managed maintenance and repairs of office
  equipment, minimizing downtime and maintaining productivity.
- **Confidentiality Maintenance**: Ensured compliance with privacy regulations
  by safeguarding and/or destroying sensitive information.

## Projects

**[_Notatio, a web based text
editor_](https://gitfor.ge/musselman/notatio)** (August 2024 - December 2024)

- Designed, Planned, Researched and Implemented a web based note taking software
  using the Go Programming language and a CI/CD build pipeline for Docker
  container images using Jenkins as a senior capstone project

**EZRA, an Apartment Management Software** (February 2025 - March 2025)

- Selected from 600 + applicants for an intensive, FAANG‑style developer program
- Collaborated with senior engineers on a real‑world business solution (product)
- Acquired hands‑on experience with production‑level development practices
  and cross‑functional collaboration in an Agile framework
- Written using Go, PostgreSQL, Docker, GitHub Actions, React, and Typescript

## Education

**B.S. Computer Science, Texas Lutheran University**, _Cum Laude_ (2020-2024)

- **_Member_**: National Society of Leadership and Success,
  Alpha Kappa Psi Business and Leadership Fraternity
- **_Officer_**: Student Government Association, Association of Computing Machinery
